OMV 4.1.25-1 and VirtualBox 4.1.1 install issues

  • I'm a new user and am having some odd issues.


    I installed OMV from scratch and then installed omvextrasorg 4.1.16 without issue. I then applied all of the updates via the Update Management interface.


    When I go to install VirtualBox though I get this:


    "WARNING: The character device /dev/vboxdrv does not exist.
    Please install the virtualbox-dkms package and the appropriate
    headers, most likely linux-headers-amd64.


    You will not be able to start VMs until this problem is fixed."


    I tried to install both via SSH with apt-get install ... and they are both installed.


    I also get this error at the end of the install.


    "Do you agree to these license terms and conditions (y/n)?
    License accepted. For batch installaltion add
    --accept-license=56be48f923303c8cababb0bb4c478284b688ed23f16d775d729b89a2e8e5f9eb
    to the VBoxManage command line.


    0%...10%...20%...30%...40%...50%...60%...70%...80%...90%...100%
    Successfully installed "Oracle VM VirtualBox Extension Pack".
    Setting up openmediavault-virtualbox (4.1.1) ...
    Updating configuration database ...
    Processing triggers for libc-bin (2.24-11+deb9u4) ...
    Processing triggers for systemd (232-25+deb9u12) ...
    Processing triggers for php7.0-fpm (7.0.33-0+deb9u5) ...
    Processing triggers for openmediavault (4.1.25-1) ...
    Updating locale files ...
    Updating file permissions ...
    Purging internal cache ...
    Restarting engine daemon ...
    Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7fbe840217b8>
    Traceback (most recent call last):
    File "/usr/lib/python3.5/weakref.py", line 117, in remove
    TypeError: 'NoneType' object is not callable
    Exception ignored in: <function WeakValueDictionary.__init__.<locals>.remove at 0x7fbe840217b8>
    Traceback (most recent call last):
    File "/usr/lib/python3.5/weakref.py", line 117, in remove
    TypeError: 'NoneType' object is not callable
    Done ..."



    I'm really wanting to use this over FreeNAS, however, I really need VirtualBox to work. As it stands when I try to create a new VM it just gets an Error Code 1 when it tries to start.


    Any help would be greatly appreciated.

  • I'm seeing this when trying to resolve the issue:


    Loading new virtualbox-5.2.24 DKMS files...
    Building for 4.19.0-0.bpo.4-amd64
    Module build for kernel 4.19.0-0.bpo.4-amd64 was skipped since the
    kernel headers for this kernel does not seem to be installed.
    root@OpenMediaVault:~# dpkg -s linux-headers-$(uname -r)
    dpkg-query: package 'linux-headers-4.19.0-0.bpo.4-amd64' is not installed and no information is available
    Use dpkg --info (= dpkg-deb --info) to examine archive files,
    and dpkg --contents (= dpkg-deb --contents) to list their contents.
    root@OpenMediaVault:~# apt-get install linux-headers-$(uname -r)
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: Unable to locate package linux-headers-4.19.0-0.bpo.4-amd64
    E: Couldn't find any package by glob 'linux-headers-4.19.0-0.bpo.4-amd64'
    E: Couldn't find any package by regex 'linux-headers-4.19.0-0.bpo.4-amd64'
    root@OpenMediaVault:~#



    I'm not a Linux guru so what (if anything) can I do to resolve this? It appears that the headers aren't installed and they aren't available?

  • Would this have anything to do with it?


  • linux-image-amd64 is current a meta package for linux-image-4.19.0-0.bpo.6-amd64 and linux-image-4.19.0-0.bpo.6-amd64 has been pulled from the repo. Nothing we can do to fix this. You can switch to the proxmox kernel though.

    omv 5.5.23 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.5
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!